package md

type EnterpriseUserListReq struct {
	EnterpriseId   int    `json:"enterprise_id" label:"企业id"`
	GradeId        int    `json:"grade_id" label:"年级id"`
	ClassId        int    `json:"class_id" label:"班级id"`
	Limit          int    `json:"limit" binding:"required"`
	Page           int    `json:"page" binding:"required"`
	Nickname       string `json:"nickname" label:"支付宝昵称"`
	Name           string `json:"name" label:"用户名称"`
	Phone          string `json:"phone" label:"手机号"`
	IsTeacher      int    `json:"is_teacher" label:"是否教师"`
	EnterpriseName string `json:"enterprise_name" label:"校企名称"`
}

type EnterpriseUserListByCentralKitchenForSchoolStruct struct {
	Id             int    `json:"id" label:"支付宝昵称"`
	Nickname       string `json:"nickname" label:"支付宝昵称"`
	Phone          string `json:"phone" label:"手机号"`
	Avatar         string `json:"avatar" label:"头像"`
	IsTeacher      int    `json:"is_teacher" label:"是否教师"`
	CreateAt       string `json:"create_at" label:"创建时间"`
	UserIdentities []struct {
		Id           int    `json:"id" label:"身份id"`
		EnterpriseId int    `json:"enterprise_id" label:"企业id"`
		IdNo         string `json:"id_no" label:"身份证号"`
		CertType     int    `json:"cert_type" label:"证件类型"`
		SchoolName   string `json:"school_name" label:"学校名"`
		Name         string `json:"name" label:"姓名"`
		Grade        string `json:"grade" label:"年级"`
		GradeId      int    `json:"grade_id" label:"年级id"`
		Class        string `json:"class" label:"班级"`
		ClassId      int    `json:"class_id" label:"班级id"`
	} `json:"user_identities" label:"身份列表"`
}

type EnterpriseUserListByCentralKitchenForSchoolResp struct {
	List                     []EnterpriseUserListByCentralKitchenForSchoolStruct `json:"list"`
	Total                    int64                                               `json:"total"`
	UserIdentityKindList     interface{}                                         `json:"user_identity_kind_list"`
	UserIdentityCertTypeList interface{}                                         `json:"user_identity_cert_type_list"`
}

type CentralKitchenForSchoolUserUpdateReq struct {
	EnterpriseId       int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Uid                int    `json:"uid" binding:"required" label:"用户id"`
	Nickname           string `json:"nickname" label:"支付宝昵称"`
	Phone              string `json:"phone" binding:"required" label:"手机号"`
	BindUserIdentities []struct {
		UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
		IdNo           string `json:"id_no" label:"身份证号"`
		CertType       int    `json:"cert_type" label:"证件类型"`
		Name           string `json:"name" label:"姓名"`
		GradeId        int    `json:"grade_id" label:"年级"`
		ClassId        int    `json:"class_id" label:"班级"`
	} `json:"user_identities" label:"身份列表"`
}

type CentralKitchenForSchoolUserUpdateReqV2 struct {
	Uid                int    `json:"uid" binding:"required" label:"用户id"`
	Nickname           string `json:"nickname" label:"支付宝昵称"`
	Phone              string `json:"phone" binding:"required" label:"手机号"`
	BindUserIdentities []struct {
		EnterpriseId   int    `json:"enterprise_id" label:"企业id"`
		UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
		IdNo           string `json:"id_no" label:"身份证号"`
		CertType       int    `json:"cert_type" label:"证件类型"`
		Name           string `json:"name" label:"姓名"`
		GradeId        int    `json:"grade_id" label:"年级"`
		ClassId        int    `json:"class_id" label:"班级"`
	} `json:"user_identities" label:"身份列表"`
}

type CentralKitchenForSchoolUserDeleteReq struct {
	EnterpriseId int   `json:"enterprise_id" label:"企业id"`
	Uids         []int `json:"uids" binding:"required" label:"用户id"`
}

type CentralKitchenForSchoolStudentListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"姓名"`
	IdNo         string `json:"id_no" label:"身份证号"`
	Phone        string `json:"phone" label:"手机号"`
	GradeId      int    `json:"grade_id" label:"年级id"`
	ClassId      int    `json:"class_id" label:"班级id"`
}

type CentralKitchenForSchoolTeacherListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"姓名"`
	IdNo         string `json:"id_no" label:"身份证号"`
}

type CentralKitchenForSchoolStudentListResp struct {
	IdNo           string `json:"id_no" label:"身份证号"`
	CertType       int    `json:"cert_type" label:"证件类型"`
	ParentPhone    string `json:"parent_phone" label:"家长电话"`
	Name           string `json:"name" label:"姓名"`
	Grade          string `json:"grade" label:"年级"`
	GradeId        int    `json:"grade_id" label:"年级id"`
	Class          string `json:"class" label:"班级"`
	ClassId        int    `json:"class_id" label:"班级"`
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
}

type CentralKitchenForSchoolTeacherListResp struct {
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
	IdNo           string `json:"id_no" label:"身份证号"`
	Phone          string `json:"parent_phone" label:"电话"`
	Name           string `json:"name" label:"姓名"`
}

type CentralKitchenForSchoolTeacherUpdateReq struct {
	EnterpriseId   int    `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityId int    `json:"user_identity_id" binding:"required" label:"用户身份id"`
	IdNo           string `json:"id_no" label:"身份证号"`
	CertType       int    `json:"cert_type" label:"证件类型"`
	Name           string `json:"name" label:"姓名"`
}

type CentralKitchenForSchoolStudentUpdateReq struct {
	EnterpriseId   int    `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityId int    `json:"user_identity_id" binding:"required" label:"用户身份id"`
	IdNo           string `json:"id_no" label:"身份证号"`
	Name           string `json:"name" label:"姓名"`
	GradeId        int    `json:"grade_id" label:"年级id"`
	ClassId        int    `json:"class_id" label:"班级id"`
}

type CentralKitchenForSchoolStudentDeleteReq struct {
	EnterpriseId    int   `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityIds []int `json:"user_identity_ids" binding:"required" label:"用户身份id"`
}

type CentralKitchenForSchoolTeacherDeleteReq struct {
	EnterpriseId    int   `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityIds []int `json:"user_identity_ids" binding:"required" label:"用户身份id"`
}

type CentralKitchenForSchoolStudentAdmissionReq struct {
	EnterpriseId int `json:"enterprise_id" binding:"required" label:"企业id"`
	ClassId      int `json:"class_id" label:"班级id"`
	GradeId      int `json:"grade_id" label:"年级id"`
}

type SetCentralKitchenForSchoolWithSpecReq struct {
	EnterpriseId                 int    `json:"enterprise_id" binding:"required" label:"企业id"`
	BreakfastUnitPrice           string `json:"breakfast_unit_price" binding:"required" label:"早餐-单价"`
	BreakfastUnitPriceForTeacher string `json:"breakfast_unit_price_for_teacher" binding:"required" label:"教师-早餐-单价"`
	BreakfastTeacherNotice       string `json:"breakfast_teacher_notice" label:"教师早餐说明"`
	LunchUnitPrice               string `json:"lunch_unit_price" binding:"required" label:"午餐-单价"`
	LunchUnitPriceForTeacher     string `json:"lunch_unit_price_for_teacher" binding:"required" label:"教师-午餐-单价"`
	LunchTeacherNotice           string `json:"lunch_teacher_notice" label:"教师午餐说明"`
	DinnerUnitPrice              string `json:"dinner_unit_price" binding:"required" label:"晚餐-单价"`
	DinnerUnitPriceForTeacher    string `json:"dinner_unit_price_for_teacher" binding:"required" label:"教师-晚餐-单价"`
	DinnerTeacherNotice          string `json:"dinner_teacher_notice" label:"教师早餐说明"`
}

type SetCentralKitchenForSchoolWithSpecByPeriodReq struct {
	EnterpriseId int `json:"enterprise_id" binding:"required" label:"企业id"`
	List         []struct {
		PeriodId           int    `json:"period_id" binding:"required" label:"学段id"`
		BreakfastUnitPrice string `json:"breakfast_unit_price" binding:"required" label:"早餐-单价"`
		LunchUnitPrice     string `json:"lunch_unit_price" binding:"required" label:"午餐-单价"`
		DinnerUnitPrice    string `json:"dinner_unit_price" binding:"required" label:"晚餐-单价"`
	} `json:"list" binding:"required" label:"日期"`
}

type SetCentralKitchenForSchoolWithSpecByMealLabel struct {
	EnterpriseId  int             `json:"enterprise_id" binding:"required" label:"企业id"`
	Kind          int32           `json:"kind" binding:"required" label:"餐标类型(1:早餐 2:午餐 3:晚餐) "`
	GradeId       int             `json:"grade_id" binding:"required" label:"年级id"`
	MealLabelList []MealLabelList `json:"meal_label_list" label:"餐标集合"`
}

type GetCentralKitchenForSchoolWithSpecByMealLabelReq struct {
	EnterpriseId int   `json:"enterprise_id" binding:"required" label:"企业id"`
	Kind         int32 `json:"kind" label:"餐标类型(1:早餐 2:午餐 3:晚餐) "`
	Page         int   `json:"page" label:"页码"`
	Limit        int   `json:"limit" label:"每页数量"`
}

type GetCentralKitchenForSchoolWithSpecByMealLabelResp struct {
	EnterpriseId int   `json:"enterprise_id" binding:"required" label:"企业id"`
	Kind         int32 `json:"kind" binding:"required" label:"餐标类型(1:早餐 2:午餐 3:晚餐) "`
	List         []struct {
		GradeId       int             `json:"grade_id" binding:"required" label:"年级id"`
		Name          string          `json:"name" label:"年级名称"`
		MealLabelList []MealLabelList `json:"meal_label_list" label:"餐标集合"`
	} `json:"list" binding:"required" label:"数据集合"`
}

type MealLabelList struct {
	Id    int    `json:"id" label:"id"`
	Name  string `json:"name" binding:"required" label:"餐标名称"`
	Price string `json:"price" binding:"required" label:"单价"`
}

type SaveCentralKitchenForSchoolPackageReq struct {
	PackageId    int    `json:"package_id" label:"套餐ID"`
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Year         string `json:"year" binding:"required" label:"年份"`
	Month        string `json:"month" binding:"required" label:"月份"`
	StartDate    string `json:"start_date" binding:"required" label:"开始时间"`
	EndDate      string `json:"end_date" binding:"required" label:"截止时间"`
	State        int    `json:"state" label:"状态(1:可用 2:不可用)"`
	DateList     []struct {
		Date            string `json:"date"`
		IsOpenBreakfast int32  `json:"is_open_breakfast"`
		IsOpenLunch     int32  `json:"is_open_lunch"`
		IsOpenDinner    int32  `json:"is_open_dinner"`
		IsOpenReplenish int32  `json:"is_open_replenish"`
	} `json:"date_list" binding:"required" label:"日期"`
}

type SetBasicCentralKitchenForSchoolReq struct {
	EnterpriseId                       int    `json:"enterprise_id" binding:"required" label:"企业id"`
	State                              int32  `json:"state" label:"状态(1:正常 2:冻结)"`
	Name                               string `json:"name" binding:"required" label:"名称"`
	IsOpenBreakfast                    int    `json:"is_open_breakfast" label:"是否开启早餐"`
	IsOpenLunch                        int    `json:"is_open_lunch" label:"是否开启午餐"`
	IsOpenDinner                       int    `json:"is_open_dinner" label:"是否开启晚餐"`
	IsOpenBreakfastForTeacher          int    `json:"is_open_breakfast_for_teacher" label:"是否开启早餐-教师"`
	IsOpenLunchForTeacher              int    `json:"is_open_lunch_for_teacher" label:"是否开启午餐-教师"`
	IsOpenDinnerForTeacher             int    `json:"is_open_dinner_for_teacher" label:"是否开启晚餐-教师"`
	IsOpenReportMealForDay             int    `json:"is_open_report_meal_for_day" label:"开启学生按天报餐(1:开启 2:关闭)"`
	IsOpenReportMealForMonth           int    `json:"is_open_report_meal_for_month" label:"开启学生按月报餐(1:开启 2:关闭)"`
	IsOpenReportMealForSemester        int    `json:"is_open_report_meal_for_semester" label:"开启学生按学期报餐(1:开启 2:关闭)"`
	IsOpenTeacherReportMealForDay      int    `json:"is_open_teacher_report_meal_for_day" label:"开启教师按天报餐(1:开启 2:关闭)"`
	IsOpenTeacherReportMealForMonth    int    `json:"is_open_teacher_report_meal_for_month" label:"开启教师按月报餐(1:开启 2:关闭)"`
	IsOpenTeacherReportMealForSemester int    `json:"is_open_teacher_report_meal_for_semester" label:"开启教师按学期报餐(1:开启 2:关闭)"`
	IsOpenTeacherReportMeal            int    `json:"is_open_teacher_report_meal" label:"'教师报餐(1:开启 2:关闭)"`
}

type ListCentralKitchenForSchoolPackageReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Page         int    `json:"page" label:"页码"`
	Limit        int    `json:"limit" label:"每页数量"`
	Year         string `json:"year" label:"年份"`
	Month        string `json:"month" label:"月份"`
}

type CentralKitchenForSchoolOrdRefundReq struct {
	EnterpriseId int      `json:"enterprise_id" binding:"required" label:"企业id"`
	Ids          []string `json:"ids" label:"ids" binding:"required"`
}

type SelfSupportForSchoolOrdRefundReq struct {
	EnterpriseId int      `json:"enterprise_id" label:"企业id"`
	Ids          []string `json:"ids" label:"ids" binding:"required"`
}

type SelfSupportForSchoolOrdPartRefundReq struct {
	EnterpriseId int    `json:"enterprise_id" label:"企业id"`
	Id           string `json:"id" label:"id" binding:"required"`
	RefundAmount string `json:"refund_amount" label:"退款金额" binding:"required"`
}

type CentralKitchenForSchoolOrdListResp struct {
	EnterpriseId     int    `json:"enterprise_id" `
	EnterpriseName   string `json:"enterprise_name" `
	Uid              int    `json:"uid" `
	UserIdentityId   int    `json:"user_identity_id" `
	UserIdentityKind int    `json:"user_identity_kind" `
	UserIdentityName string `json:"user_identity_name" `
	TotalPrice       string `json:"total_price" `
	Kind             int    `json:"kind" `
	OutTradeNo       string `json:"out_trade_no" `
	TradeNo          string `json:"trade_no"`
	State            int    `json:"state"`
	OrdState         int    `json:"ord_state"`
	PayWay           int    `json:"pay_way"`
	CreateAt         string `json:"create_at"`
	Phone            string `json:"phone" label:"家长联系电话"`
	Name             string `json:"name" label:"姓名"`
	Grade            string `json:"grade" label:"年级"`
	GradeId          int    `json:"grade_id" label:"年级id"`
	Class            string `json:"class" label:"班级"`
	ClassId          int    `json:"class_id" label:"班级id"`
}

type CentralKitchenForSchoolOrdListReq struct {
	EnterpriseId   int    `json:"enterprise_id" label:"企业id"`
	IsTeacher      int    `json:"is_teacher" label:"是否教师"`
	Limit          int    `json:"limit" binding:"required"`
	Page           int    `json:"page" binding:"required"`
	Name           string `json:"name" label:"姓名"`
	OutTradeNo     string `json:"out_trade_no" label:"订单号"`
	Kind           int    `json:"kind" label:"预定类型"`
	EnterPriseKind int    `json:"enterprise_kind" label:"校企类型"`
	Sate           int    `json:"state" label:"支付状态"`
	OrdSate        int    `json:"ord_state" label:"订单状态"`
	PayWay         int    `json:"pay_way" label:"支付方式(1:支付宝 2:微信)"`
	GradeId        int    `json:"grade_id" label:"年级id"`
	ClassId        int    `json:"class_id" label:"班级id"`
	Phone          string `json:"phone" label:"家长联系电话"`
	StartDate      string `json:"start_date" label:"开始时间"`
	EndDate        string `json:"end_date" label:"截止时间"`
}

type CentralKitchenForSchoolReserveListReq struct {
	EnterpriseId   int    `json:"enterprise_id" label:"企业id"`
	Limit          int    `json:"limit" binding:"required"`
	Page           int    `json:"page" binding:"required"`
	Name           string `json:"name" label:"姓名"`
	OutTradeNo     string `json:"out_trade_no" label:"订单号"`
	Kind           int    `json:"kind" label:"预定类型"`
	EnterPriseKind int    `json:"enterprise_kind" label:"校企类型"`
	GradeId        int    `json:"grade_id" label:"年级id"`
	ClassId        int    `json:"class_id" label:"班级id"`
	Phone          string `json:"phone" label:"家长联系电话"`
	StartDate      string `json:"start_date" label:"开始时间"`
	EndDate        string `json:"end_date" label:"截止时间"`
}

type CentralKitchenForSchoolReserveUpdateStudentReq struct {
	Id                     int `json:"id" `
	EnterpriseId           int `json:"enterprise_id" label:"企业id"`
	UserIdentityId         int `json:"user_identity_id" `
	OriginalUserIdentityId int `json:"original_user_identity_id" `
	Uid                    int `json:"uid" `
}

type CentralKitchenForSchoolReserveListResp struct {
	Id               int    `json:"id" `
	EnterpriseId     int    `json:"enterprise_id" `
	EnterpriseName   string `json:"enterprise_name" `
	Uid              int    `json:"uid" `
	UserIdentityId   int    `json:"user_identity_id" `
	UserIdentityName string `json:"user_identity_name" `
	Kind             int    `json:"kind"`
	OutTradeNo       string `json:"out_trade_no" `
	TradeNo          string `json:"trade_no" `
	ReserveMonth     string `json:"reserve_month"`
	TotalPrice       string `json:"total_price"`
	CreateAt         string `json:"create_at"`
	State            int    `json:"state"`
	StateZh          string `json:"state_zh"`
	Phone            string `json:"phone" label:"家长联系电话"`
	Grade            string `json:"grade" label:"年级"`
	GradeId          int    `json:"grade_id" label:"年级id"`
	Class            string `json:"class" label:"班级"`
	ClassId          int    `json:"class_id" label:"班级id"`
}

type SelfSupportForSchoolUserUpdateReq struct {
	EnterpriseId       int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Uid                int    `json:"uid" binding:"required" label:"用户id"`
	Nickname           string `json:"nickname" binding:"required" label:"支付宝昵称"`
	Phone              string `json:"phone" binding:"required" label:"手机号"`
	BindUserIdentities []struct {
		UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
		IdNo           string `json:"id_no" label:"身份证号"`
		CertType       int    `json:"cert_type" label:"证件类型"`
		Name           string `json:"name" label:"姓名"`
		GradeId        int    `json:"grade_id" label:"年级"`
		ClassId        int    `json:"class_id" label:"班级"`
	} `json:"user_identities" label:"身份列表"`
}

type SelfSupportForSchoolUserDeleteReq struct {
	EnterpriseId int   `json:"enterprise_id" binding:"required" label:"企业id"`
	Uids         []int `json:"uids" binding:"required" label:"用户id"`
}

type SelfSupportForSchoolStudentListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"姓名"`
	IdNo         string `json:"id_no" label:"身份证号"`
	Phone        string `json:"phone" label:"手机号"`
	GradeId      int    `json:"grade_id" label:"年级id"`
	ClassId      int    `json:"class_id" label:"班级id"`
}

type SelfSupportForSchoolStudentListResp struct {
	IdNo                    string `json:"id_no" label:"证件号"`
	CertType                int    `json:"cert_type" label:"证件类型"`
	ParentPhone             string `json:"parent_phone" label:"家长电话"`
	Name                    string `json:"name" label:"姓名"`
	Grade                   string `json:"grade" label:"年级"`
	GradeId                 int    `json:"grade_id" label:"年级id"`
	Class                   string `json:"class" label:"班级"`
	ClassId                 int    `json:"class_id" label:"班级"`
	UserIdentityId          int    `json:"user_identity_id" label:"用户身份id"`
	CollectFaceType         int    `json:"collect_face_type" label:"采集人脸方式(1:个采 2:集采) "`
	SchoolFacePassStatus    string `json:"school_face_pass_status" label:"校园一脸通行开通状态(开通:OPEN 关闭:CLOSE) "`
	SchoolFacePaymentStatus string `json:"school_face_payment_status" label:"校园一脸通行刷脸支付开通状态(开通:OPEN 关闭:CLOSE) "`
}

type SelfSupportForSchoolTeacherListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"姓名"`
	IdNo         string `json:"id_no" label:"身份证号"`
}

type SelfSupportForSchoolTeacherListResp struct {
	UserIdentityId          int    `json:"user_identity_id" label:"用户身份id"`
	IdNo                    string `json:"id_no" label:"身份证号"`
	CertType                int    `json:"cert_type" label:"证件类型"`
	Phone                   string `json:"parent_phone" label:"电话"`
	Name                    string `json:"name" label:"姓名"`
	CollectFaceType         int    `json:"collect_face_type" label:"采集人脸方式(1:个采 2:集采) "`
	SchoolFacePassStatus    string `json:"school_face_pass_status" label:"校园一脸通行开通状态(开通:OPEN 关闭:CLOSE) "`
	SchoolFacePaymentStatus string `json:"school_face_payment_status" label:"校园一脸通行刷脸支付开通状态(开通:OPEN 关闭:CLOSE) "`
}

type SelfSupportForSchoolStudentUpdateReq struct {
	EnterpriseId    int    `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityId  int    `json:"user_identity_id" binding:"required" label:"用户身份id"`
	IdNo            string `json:"id_no" label:"身份证号"`
	CertType        int    `json:"cert_type" label:"证件类型(1:身份证 2:学工号 3:护照)"`
	Name            string `json:"name" label:"姓名"`
	GradeId         int    `json:"grade_id" label:"年级id"`
	ClassId         int    `json:"class_id" label:"班级id"`
	CollectFaceType int    `json:"collect_face_type" label:"采集人脸方式(1:个采 2:集采)"`
}

type SelfSupportForSchoolStudentAddReq struct {
	EnterpriseId    int    `json:"enterprise_id" binding:"required" label:"企业id"`
	IdNo            string `json:"id_no" label:"身份证号"`
	CertType        int    `json:"cert_type" label:"证件类型(1:身份证 2:学工号 3:护照)"`
	Name            string `json:"name" label:"姓名"`
	GradeId         int    `json:"grade_id" label:"年级id"`
	ClassId         int    `json:"class_id" label:"班级id"`
	CollectFaceType int    `json:"collect_face_type" label:"采集人脸方式(1:个采 2:集采)"`
}

type SelfSupportForSchoolStudentDeleteReq struct {
	EnterpriseId    int   `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityIds []int `json:"user_identity_ids" binding:"required" label:"用户身份id"`
}

type SelfSupportForSchoolStudentAdmissionReq struct {
	EnterpriseId int `json:"enterprise_id" binding:"required" label:"企业id"`
	ClassId      int `json:"class_id" label:"班级id"`
	GradeId      int `json:"grade_id" label:"年级id"`
}

type SelfSupportForSchoolTeacherUpdateReq struct {
	EnterpriseId    int    `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityId  int    `json:"user_identity_id" binding:"required" label:"用户身份id"`
	IdNo            string `json:"id_no" label:"身份证号"`
	CertType        int    `json:"cert_type" label:"证件类型"`
	Name            string `json:"name" label:"姓名"`
	CollectFaceType int    `json:"collect_face_type" label:"采集人脸方式(1:个采 2:集采)"`
}

type SelfSupportForSchoolTeacherDeleteReq struct {
	EnterpriseId    int   `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityIds []int `json:"user_identity_ids" binding:"required" label:"用户身份id"`
}

type SelfSupportForSchoolWorkerListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"姓名"`
	IdNo         string `json:"id_no" label:"身份证号"`
}

type SelfSupportForSchoolWorkerListResp struct {
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
	IdNo           string `json:"id_no" label:"身份证号"`
	CertType       int    `json:"cert_type" label:"证件类型"`
	Phone          string `json:"parent_phone" label:"电话"`
	Name           string `json:"name" label:"姓名"`
	CreateAt       string `json:"create_at" label:"创建时间"`
}

type SelfSupportForSchoolWorkerUpdateReq struct {
	EnterpriseId   int    `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityId int    `json:"user_identity_id" binding:"required" label:"用户身份id"`
	IdNo           string `json:"id_no" label:"身份证号"`
	Name           string `json:"name" label:"姓名"`
}

type SelfSupportForSchoolWorkerDeleteReq struct {
	EnterpriseId    int   `json:"enterprise_id" binding:"required" label:"企业id"`
	UserIdentityIds []int `json:"user_identity_ids" binding:"required" label:"用户身份id"`
}

type CentralKitchenForSchoolGradeListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"名称"`
}

type CentralKitchenForSchoolPeriodListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"名称"`
}

type CentralKitchenForSchoolClassListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	GradeId      int    `json:"grade_id" label:"年级id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"名称"`
}

type SelfSupportForSchoolGradeListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"名称"`
}

type SelfSupportForSchoolPeriodListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"名称"`
}

type SelfSupportForSchoolClassListReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	GradeId      int    `json:"grade_id" label:"年级id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"名称"`
}

type SelfSupportForSchoolAddWorkerReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Name         string `json:"name" label:"名称"`
	IdNo         string `json:"id_no" label:"身份证号"`
}

type SelfSupportForSchoolAddTeacherReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Name         string `json:"name" label:"名称"`
	IdNo         string `json:"id_no" label:"身份证号"`
	CertType     int    `json:"cert_type" label:"证件类型"`
}

type SelfSupportForSchoolOrdListReq struct {
	EnterpriseId   int    `json:"enterprise_id" label:"企业id"`
	EnterpriseKind int    `json:"enterprise_kind" label:"校企类型"`
	Limit          int    `json:"limit" binding:"required"`
	Page           int    `json:"page" binding:"required"`
	Name           string `json:"name" label:"姓名"`
	Phone          string `json:"phone" label:"用户电话"`
	OutTradeNo     string `json:"out_trade_no" label:"订单号"`
	OrderStatus    int    `json:"order_status" label:"订单状态"`
	GradeId        int    `json:"grade_id" label:"年级id"`
	ClassId        int    `json:"class_id" label:"班级id"`
	StartDate      string `json:"start_date" label:"刷脸-开始时间"`
	EndDate        string `json:"end_date" label:"刷脸-截止时间"`
	IsTeacher      int    `json:"is_teacher" label:"是否教师"`
}

type SelfSupportForSchoolConsumeLimitReq struct {
	UserIdentityId                     int                              `json:"user_identity_id" label:"用户身份id"`
	DailyConsumeLimit                  string                           `json:"daily_consume_limit" label:"单日金额上限"`
	SingleConsumeLimit                 string                           `json:"single_consume_limit" label:"单笔金额上限"`
	DailyMaxConsumeTimes               string                           `json:"daily_max_consume_times" label:"单日最大消费次数"`
	RosterPeriodConsumeLimitConfigList []RosterPeriodConsumeLimitConfig `json:"roster_period_consume_limit_config_list" label:"餐段设置"`
}

type RosterPeriodConsumeLimitConfig struct {
	PeriodDesc      string `json:"period_desc" label:"餐段时间描述"`
	StartTime       string `json:"start_time" label:"餐段开始时间，格式为：xx:xx"`
	EndTime         string `json:"end_time" label:"餐段结束时间，格式为：xx:xx"`
	MaxConsumeTimes int    `json:"max_consume_times" label:"餐段内最大消费次数，默认值1,最大9"`
}

type SelfSupportForSchoolConsumeLimitListReq struct {
	EnterpriseId         int    `json:"enterprise_id" binding:"required" label:"企业id"`
	EnterpriseKind       int    `json:"enterprise_kind" label:"企业类型"`
	Limit                int    `json:"limit" binding:"required"`
	Page                 int    `json:"page" binding:"required"`
	Name                 string `json:"name" label:"姓名"`
	GradeId              int    `json:"grade_id" label:"年级id"`
	ClassId              int    `json:"class_id" label:"班级id"`
	Phone                string `json:"phone" label:"用户电话"`
	DailyConsumeLimit    string `json:"daily_consume_limit" label:"单日金额上限"`
	SingleConsumeLimit   string `json:"single_consume_limit" label:"单笔金额上限"`
	DailyMaxConsumeTimes string `json:"daily_max_consume_times" label:"单日最大消费次数"`
	IsTeacher            int    `json:"is_teacher" label:"是否教师"`
}

type SelfSupportForSchoolConsumeLimitListResp struct {
	UserIdentityId                     int                              `json:"user_identity_id" label:"用户身份id"`
	Name                               string                           `json:"name" label:"姓名"`
	GradeId                            int                              `json:"grade_id" label:"年级id"`
	GradeName                          string                           `json:"grade_name" label:"年级名称"`
	ClassId                            int                              `json:"class_id" label:"班级id"`
	ClassName                          string                           `json:"class_name" label:"班级名称"`
	Phone                              string                           `json:"phone" label:"用户电话"`
	DailyConsumeLimit                  string                           `json:"daily_consume_limit" label:"单日金额上限"`
	SingleConsumeLimit                 string                           `json:"single_consume_limit" label:"单笔金额上限"`
	DailyMaxConsumeTimes               string                           `json:"daily_max_consume_times" label:"单日最大消费次数"`
	RosterPeriodConsumeLimitConfigList []RosterPeriodConsumeLimitConfig `json:"roster_period_consume_limit_config_list" label:"餐段设置"`
}

type SelfSupportForSchoolArrearsOrdListReq struct {
	EnterpriseId   int    `json:"enterprise_id" label:"企业id"`
	EnterpriseKind int    `json:"enterprise_kind" label:"企业类型"`
	Limit          int    `json:"limit" binding:"required"`
	Page           int    `json:"page" binding:"required"`
	Name           string `json:"name" label:"姓名"`
	Phone          string `json:"phone" label:"用户电话"`
	OutTradeNo     string `json:"out_trade_no" label:"订单号"`
	GradeId        int    `json:"grade_id" label:"年级id"`
	ClassId        int    `json:"class_id" label:"班级id"`
	StartDate      string `json:"start_date" label:"刷脸-开始时间"`
	EndDate        string `json:"end_date" label:"刷脸-截止时间"`
	IsTeacher      int    `json:"is_teacher" label:"是否教师"`
}

type SelfSupportForSchoolBlackListReq struct {
	EnterpriseId int `json:"enterprise_id" label:"企业id"`
	Limit        int `json:"limit" binding:"required"`
	Page         int `json:"page" binding:"required"`
}

type SelfSupportForSchoolArrearsOrdDebtRepayReq struct {
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
	OutOrderNo     string `json:"out_order_no"`
	MerchantCode   string `json:"merchant_code" `
}

type SelfSupportForSchoolArrearsOrdDebtCancelReq struct {
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
	OutOrderNo     string `json:"out_order_no"`
	MerchantCode   string `json:"merchant_code" `
}

type SelfSupportForSchoolOrdListResp struct {
	Id               int    `json:"id" `
	EnterpriseId     int    `json:"enterprise_id" `
	EnterpriseName   string `json:"enterprise_name" `
	Uid              int    `json:"uid" `
	UserIdentityId   int    `json:"user_identity_id" `
	UserIdentityName string `json:"user_identity_name" `
	TotalPrice       string `json:"total_price" `
	RefundAmount     string `json:"refund_amount" `
	OutTradeNo       string `json:"out_trade_no" `
	TradeNo          string `json:"trade_no"`
	OrderStatus      int    `json:"order_status"`
	Phone            string `json:"phone"`
	FaceTime         string `json:"face_time"`
	PayTime          string `json:"pay_time"`
	Name             string `json:"name" label:"姓名"`
	Grade            string `json:"grade" label:"年级"`
	GradeId          int    `json:"grade_id" label:"年级id"`
	Class            string `json:"class" label:"班级"`
	ClassId          int    `json:"class_id" label:"班级id"`
	DeviceSn         string `json:"device_sn" label:"设备编号"`
	ShopName         string `json:"shop_name" label:"消费档口"`
	CpMerchantId     string `json:"cp_merchant_id" label:"商户编码"`
	DebtBusinessMsg  string `json:"debt_business_msg" label:"欠款原因"`
}

type CentralKitchenForSchoolBatchAskForLeaveReqBySchool struct {
	EnterpriseIds []int    `json:"enterprise_ids" binding:"required" label:"企业id"`
	IsBreakfast   int      `json:"is_breakfast" label:"是否退早餐(1:退 0:不退)"`
	IsLunch       int      `json:"is_lunch" label:"是否退午餐(1:退 0:不退)"`
	IsDinner      int      `json:"is_dinner" label:"是否退晚餐(1:退 0:不退)"`
	Dates         []string `json:"dates"`
}

type CentralKitchenForSchoolBatchAskForLeaveReqByGrade struct {
	EnterpriseId int      `json:"enterprise_id" binding:"required" label:"企业id"`
	GradeIds     []int    `json:"grade_ids" binding:"required" label:"年级id"`
	IsBreakfast  int      `json:"is_breakfast" label:"是否退早餐(1:退 0:不退)"`
	IsLunch      int      `json:"is_lunch" label:"是否退午餐(1:退 0:不退)"`
	IsDinner     int      `json:"is_dinner" label:"是否退晚餐(1:退 0:不退)"`
	Dates        []string `json:"dates"`
}

type CentralKitchenForSchoolBatchAskForLeaveReqByClass struct {
	EnterpriseId int      `json:"enterprise_id" binding:"required" label:"企业id"`
	GradeId      int      `json:"grade_id" binding:"required" label:"年级id"`
	ClassIds     []int    `json:"class_ids" label:"班级id"`
	IsBreakfast  int      `json:"is_breakfast" label:"是否退早餐(1:退 0:不退)"`
	IsLunch      int      `json:"is_lunch" label:"是否退午餐(1:退 0:不退)"`
	IsDinner     int      `json:"is_dinner" label:"是否退晚餐(1:退 0:不退)"`
	Dates        []string `json:"dates"`
}

type ListNursingHomePackageReq struct {
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Page         int    `json:"page" label:"页码"`
	Limit        int    `json:"limit" label:"每页数量"`
	Year         string `json:"year" label:"年份"`
	Month        string `json:"month" label:"月份"`
}

type EnterpriseUserListByNursingHomeResp struct {
	List  []EnterpriseUserListByNursingHomeStruct `json:"list"`
	Total int64                                   `json:"total"`
}

type EnterpriseUserListByNursingHomeStruct struct {
	Id             int    `json:"id" label:"支付宝昵称"`
	Nickname       string `json:"nickname" label:"支付宝昵称"`
	Phone          string `json:"phone" label:"手机号"`
	Avatar         string `json:"avatar" label:"头像"`
	CreateAt       string `json:"create_at" label:"创建时间"`
	UserIdentities []struct {
		Id             int    `json:"id" label:"身份id"`
		IdNo           string `json:"id_no" label:"身份证号"`
		EnterpriseName string `json:"enterprise_name" label:"单位名"`
		Name           string `json:"name" label:"姓名"`
	} `json:"user_identities" label:"身份列表"`
}

type NursingHomeUserUpdateReq struct {
	EnterpriseId       int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Uid                int    `json:"uid" binding:"required" label:"用户id"`
	Nickname           string `json:"nickname" binding:"required" label:"支付宝昵称"`
	Phone              string `json:"phone" binding:"required" label:"手机号"`
	BindUserIdentities []struct {
		UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
		IdNo           string `json:"id_no" label:"身份证号"`
		Name           string `json:"name" label:"姓名"`
	} `json:"user_identities" label:"身份列表"`
}

type NursingHomeOrdListReq struct {
	EnterpriseId int    `json:"enterprise_id" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"姓名"`
	OutTradeNo   string `json:"out_trade_no" label:"订单号"`
	Kind         int    `json:"kind" label:"预定类型"`
	Sate         int    `json:"state" label:"支付状态"`
	OrdSate      int    `json:"ord_state" label:"订单状态"`
	Phone        string `json:"phone" label:"家长联系电话"`
	StartDate    string `json:"start_date" label:"开始时间"`
	EndDate      string `json:"end_date" label:"截止时间"`
}

type NursingHomeOrdListResp struct {
	EnterpriseId     int    `json:"enterprise_id" `
	EnterpriseName   string `json:"enterprise_name" `
	Uid              int    `json:"uid" `
	UserIdentityId   int    `json:"user_identity_id" `
	UserIdentityKind int    `json:"user_identity_kind" `
	UserIdentityName string `json:"user_identity_name" `
	TotalPrice       string `json:"total_price" `
	Kind             int    `json:"kind" `
	OutTradeNo       string `json:"out_trade_no" `
	TradeNo          string `json:"trade_no"`
	State            int    `json:"state"`
	OrdState         int    `json:"ord_state"`
	CreateAt         string `json:"create_at"`
	Phone            string `json:"phone" label:"家长联系电话"`
	Name             string `json:"name" label:"姓名"`
}

type NursingHomeReserveListReq struct {
	EnterpriseId int    `json:"enterprise_id" label:"企业id"`
	Limit        int    `json:"limit" binding:"required"`
	Page         int    `json:"page" binding:"required"`
	Name         string `json:"name" label:"姓名"`
	OutTradeNo   string `json:"out_trade_no" label:"订单号"`
	Kind         int    `json:"kind" label:"预定类型"`
	Phone        string `json:"phone" label:"家长联系电话"`
	StartDate    string `json:"start_date" label:"开始时间"`
	EndDate      string `json:"end_date" label:"截止时间"`
}

type NursingHomeReserveListResp struct {
	Id               int    `json:"id" `
	EnterpriseId     int    `json:"enterprise_id" `
	EnterpriseName   string `json:"enterprise_name" `
	Uid              int    `json:"uid" `
	UserIdentityId   int    `json:"user_identity_id" `
	UserIdentityName string `json:"user_identity_name" `
	Kind             int    `json:"kind"`
	OutTradeNo       string `json:"out_trade_no" `
	ReserveMonth     string `json:"reserve_month"`
	CreateAt         string `json:"create_at"`
	Phone            string `json:"phone" label:"家长联系电话"`
}

type NursingHomeOrdRefundReq struct {
	EnterpriseId int      `json:"enterprise_id" binding:"required" label:"企业id"`
	Ids          []string `json:"ids" label:"ids" binding:"required"`
}
type NursingHomeUserDeleteReq struct {
	EnterpriseId int   `json:"enterprise_id" binding:"required" label:"企业id"`
	Uids         []int `json:"uids" binding:"required" label:"用户id"`
}

type SetBasicNursingHomeReq struct {
	EnterpriseId             int    `json:"enterprise_id" binding:"required" label:"企业id"`
	State                    int32  `json:"state" label:"状态(1:正常 2:冻结)"`
	Name                     string `json:"name" binding:"required" label:"名称"`
	IsOpenBreakfast          int    `json:"is_open_breakfast" label:"是否开启早餐"`
	IsOpenLunch              int    `json:"is_open_lunch" label:"是否开启午餐"`
	IsOpenDinner             int    `json:"is_open_dinner" label:"是否开启晚餐"`
	IsOpenReportMealForDay   int    `json:"is_open_report_meal_for_day" label:"开启按天报餐(1:开启 2:关闭)"`
	IsOpenReportMealForMonth int    `json:"is_open_report_meal_for_month" label:"开启按月报餐(1:开启 2:关闭)"`
	IsOpenReportMealForYear  int    `json:"is_open_report_meal_for_year" label:"开启按年报餐(1:开启 2:关闭)"`
}

type SetNursingHomeWithSpecReq struct {
	EnterpriseId       int    `json:"enterprise_id" binding:"required" label:"企业id"`
	BreakfastUnitPrice string `json:"breakfast_unit_price" binding:"required" label:"早餐-单价"`
	LunchUnitPrice     string `json:"lunch_unit_price" binding:"required" label:"午餐-单价"`
	DinnerUnitPrice    string `json:"dinner_unit_price" binding:"required" label:"晚餐-单价"`
}

type SaveNursingHomePackageReq struct {
	PackageId    int    `json:"package_id" label:"套餐ID"`
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Year         string `json:"year" binding:"required" label:"年份"`
	Month        string `json:"month" binding:"required" label:"月份"`
	StartDate    string `json:"start_date" binding:"required" label:"开始时间"`
	EndDate      string `json:"end_date" binding:"required" label:"截止时间"`
	State        int    `json:"state" label:"状态(1:可用 2:不可用)"`
	DateList     []struct {
		Date            string `json:"date"`
		IsOpenBreakfast int32  `json:"is_open_breakfast"`
		IsOpenLunch     int32  `json:"is_open_lunch"`
		IsOpenDinner    int32  `json:"is_open_dinner"`
		IsOpenReplenish int32  `json:"is_open_replenish"`
	} `json:"date_list" binding:"required" label:"日期"`
}

type CentralKitchenForSchoolWxTransferOrdListReq struct {
	Phone       string `json:"phone" label:"家长联系电话"`
	Limit       int    `json:"limit" binding:"required"`
	Page        int    `json:"page" binding:"required"`
	StartAmount string `json:"start_amount" `
	EndAmount   string `json:"end_amount" `
	StartDate   string `json:"start_date" label:"开始时间"`
	EndDate     string `json:"end_date" label:"截止时间"`
}

type CentralKitchenForSchoolWxTransferReq struct {
	Uids        []int  `json:"uids" binding:"required"`
	Amount      string `json:"amount" `
	BatchRemark string `json:"batch_remark" `
}
