package model

type CentralKitchenForSchoolPackageOrdForReserve struct {
	Id               int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	EnterpriseId     int    `json:"enterprise_id" xorm:"not null default 0 comment('所属单位id') INT(11)"`
	Uid              int    `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	UserIdentityName string `json:"user_identity_name" xorm:"not null default '' comment('用户身份名称(起备份作用)') CHAR(50)"`
	UserIdentityId   int    `json:"user_identity_id" xorm:"not null default 0 comment('用户身份id') INT(11)"`
	Kind             int    `json:"kind" xorm:"not null default 1 comment('预定类型(1:早餐 2:午餐 3:晚餐)') TINYINT(1)"`
	OutTradeNo       string `json:"out_trade_no" xorm:"not null default '' comment('商户订单号') VARCHAR(255)"`
	ReserveMonth     string `json:"reserve_month" xorm:"not null default '' comment('预定月份') CHAR(50)"`
	MealTimeStart    string `json:"meal_time_start" xorm:"not null default '0000-00-00' comment('就餐时间-开始') CHAR(50)"`
	MealTimeEnd      string `json:"meal_time_end" xorm:"not null default '0000-00-00' comment('就餐时间-截止') CHAR(50)"`
	TotalPrice       string `json:"total_price" xorm:"not null default 0.00 comment('总金额') DECIMAL(8,2)"`
	CreateAt         string `json:"create_at" xorm:"not null pk default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt         string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
